package org.springblade.system.service;


import org.springblade.common.core.domain.entity.KyFilesMultiClassify;

import java.util.List;

public interface FilesMultiClassifyService {
    /**
     * 获取档案多维度分类管理列表
     * @param kyFilesMultiClassify
     * @return
     */
    List<KyFilesMultiClassify> selectKyFilesMultiClassifyList(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 新增档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int addKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 修改档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int updateKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 删除档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int delKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

	KyFilesMultiClassify getDetail(KyFilesMultiClassify dto);
}
